use "C:\Users\kjahi\Dropbox\UBC\Winter 2020\391M\Data\SFS\2016\SFS_2016.dta", clear

keep pagemie pas1mrag pas1mrg1 pas1mrg2 pasr1mfa pasr1mr pasrbuyg pasrcnmg pasrcon pasrcst pasrcurg pasrdpo1 pasrdpo2 pasrdpo3 pasrdpo4 pasrdpo5 pasrdwng pasrfnmg pasrint pasrintg pasrmpfg pasrmryg pasrrntg pasrskp pattbnk pattbud pattcrc pattcrlm pattcrr pattcru pattdif pattlcp pattlcr pattpayd pattrsa pattrsh pattrsl pattrsp pattrsr pattsit pattskp pbusind pdwtyp peducmie pefatinc pefgtr pefmjsif pefmtinc pexmg1a pexmg1f pfcrn pfmtypg pfrspst pfsz pfsz0004 pfsz0517 pfsz1824 pfsz2544 pfsz4564 pfsz65up pftenur pinhert plfchrme plffptme plfpdmeg pnbearg ppvres pregion pretirme psexmie pwaotpen pwaprval pwarppg pwarppt pwarrif pwarrspl pwastbnd pwastdep pwastmui pwastoin pwastonf pwastrst pwaststk pwastvhe pwatfs pwatotpg pwatotpt pwbuseq pwdprmor pwdsloan pwdstcrd pwdstloc pwdstodb pwdstomr pwdstvhn pwdtotal pwnetwpg pwnetwpt pwastrst

rename ppvres Province
rename pregion Region
rename psexmie Gender_mie
rename pretirme Retire_mie
rename pagemie Age_mie
rename pfsz0004 Age_0to4
rename pfsz0517 Age_5to17
rename pfsz1824 Age_18to24
rename pfsz2544 Age_25to44
rename pfsz4564 Age_45to64
rename pfsz65up Age_65up
rename peducmie Education_mie
rename pfmtypg Family_type
rename pfsz Family_size
rename pefatinc Income_aftertax
rename pefmjsif Income_source
rename pefmtinc Income_beforetax_plustransfer
rename pwatotpt Asset_total
rename pwdtotal Debt_total
rename pwnetwpt Networth_total
rename pefgtr Transfer_govt
rename pwastdep Money_banksaving
rename pwatfs Savings_taxfree
rename plfchrme Work_30hrup
rename plffptme Work_full_part
rename plfpdmeg Work_selfemp
rename pnbearg Earners_number
rename pftenur Residence_ownership
rename pwaprval Residence_value
rename pinhert Inheritance_value
rename pasrcnmg Property_other_Canada
rename pasrfnmg Property_other_Outside
rename pasrcon Property_condominium
rename pasrrntg Property_rent_part
rename pasrcst Property_purchase_price
rename pasrcurg Mortgage_length
rename pasrdpo1 Downpayment_bank
rename pasrdpo2 Downpayment_homeprevious
rename pasrdpo3 Downpayment_investment
rename pasrdpo4 Downpayment_borrow
rename pasrdpo5 Downpayment_other
rename pasrdwng Downpayment_percentage
rename pasrint Mortgage_rate_type
rename pasrintg Mortgage_rate
rename pasrmpfg Mortgage_yearremaining
rename pwdprmor Mortgage_value
rename pwdstomr Mortgage_othervalue
rename pexmg1a Mortgage_payment
rename pexmg1f Mortgage_payment_freq
rename pasrmryg Mortgage_renew_year
rename pasrskp Mortgage_skip_delay
rename pattbnk Bankruptcy
rename pattbud Budget_family
rename pattcrc Creditcard
rename pattcrlm Creditcard_limit
rename pattcrr Creditcard_refused
rename pattcru Creditcard_payment
rename pattdif Creditcard_skip_delay_pay
rename pfcrn Creditcard_number
rename pwdstcrd Creditcard_debt_total
rename pattlcp Line_Credit_payment
rename pattlcr Lines_credit_have
rename pwdstloc Lines_credit_total
rename pattpayd Payday_loan_have
rename pwdsloan Studentloan
rename pwdstodb Debt_other
rename pwdstvhn Debt_vehicles
rename pattrsp RRSP_have
rename pfrspst RRSP_withdrawl
rename pattsit Financial_expectation
rename pattskp Non_mortgage_skip_delay
rename pbusind Business_own
rename pwbuseq Business_equityvalue
rename pdwtyp Dwelling_type
rename pwastbnd Bond_value
rename pwaststk Stock_value

drop pas1mrag pas1mrg1 pas1mrg2 pasr1mfa pasr1mr pasrbuyg pattrsa pattrsh pattrsl pattrsr pwaotpen pwarppg pwarppt pwarrif pwarrspl pwastoin pwastrst pwnetwpg


destring Province, replace
label define Provincel 35 "Ontario" 10 "Newfoundland" 11 "Prince Edward Island" 12 "Nova Scotia" 13 "New Brunswick" 24 "Quebec" 46 "Manitoba" 47 "Saskatchewan" 48 "Alberta" 59 "British Columbia" 
label values Province Provincel

destring Region, replace
label define Regionl 1 "Atlantic" 2 "Quebec" 3 "Ontario" 4 "Prairies" 5 "British Columbia" 
label values Region Regionl

destring Age_mie ,replace
gen Age_mie_new=.
replace Age_mie_new=1 if Age_mie==017
replace Age_mie_new=2 if Age_mie> 017 & Age_mie<035
replace Age_mie_new=3 if Age_mie> 034 & Age_mie<065
replace Age_mie_new=4 if Age_mie> 064 & Age_mie<080
replace Age_mie_new=5 if Age_mie==80
label define Age_mielabel2 1 "17 and under" 2 "18 - 34" 3 "35 - 64" 4 "65 - 79" 5 "80 and over"
label values Age_mie_new Age_mielabel2

label variable Age_mie_new "Age of income earner_group"


destring Education_mie,replace
gen Education_mie_new=.
replace Education_mie_new=1 if Education_mie==1
replace Education_mie_new=2 if Education_mie==2
replace Education_mie_new=3 if Education_mie==3
replace Education_mie_new=4 if Education_mie==4
replace Education_mie_new=. if Education_mie==9

label define Education_mie_new2 1 "Less than high school" 2 "High school diploma" 3 "Non-university post-secondary certificate or diploma" 4 "University degree or certificate"
label values Education_mie_new Education_mie_new2
label variable Education_mie_new "Education level of income earner"

destring Income_source,replace
label define Income_source1 2 "Wages and salaries" 3 "Self-employment income" 4 "Government transfers" 5 "Investment income" 6 "Retirement pensions" 7 "Other income"
label values Income_source Income_source1

destring Family_type,replace
gen Family_type_new=.
replace Family_type_new=1 if Family_type==1
replace Family_type_new=2 if Family_type==2
replace Family_type_new=3 if Family_type==3
replace Family_type_new=4 if Family_type==4
replace Family_type_new=5 if Family_type==5
replace Family_type_new=. if Family_type==9
label define Family_type2 1 "Unattached individual" 2 "Couple, no children" 3 "Couple with children" 4 "Lone-parent family" 5 "Other family types" 
label values Family_type_new Family_type2
label variable Family_type_new "Family type"

destring Dwelling_type ,replace
gen Dwelling_type_new=.
replace Dwelling_type_new=1 if Dwelling_type==1
replace Dwelling_type_new=2 if Dwelling_type==2
replace Dwelling_type_new=3 if Dwelling_type==3
replace Dwelling_type_new=4 if Dwelling_type==4
replace Dwelling_type_new=. if Dwelling_type==5

label define Dwelling_type_new2 1 "Single detached" 2 "Double/semi-detached,row or terrace,duplex" 3 "Apartment" 4 "Other"
label values Dwelling_type_new Dwelling_type_new2
label variable Dwelling_type_new "Dwelling type"

gen Transfer_govt_receive=.
replace Transfer_govt_receive=1 if Transfer_govt>0
replace Transfer_govt_receive=0 if Transfer_govt==0

label define Transfer_govt_receive2 1 "yes" 0 "no" 
label values Transfer_govt_receive Transfer_govt_receive2
label variable Transfer_govt_receive "Receive govt transfer"

destring Age_0to4,replace
replace Age_0to4=0 if Age_0to4==2
replace Age_0to4=. if Age_0to4==9
label define Age_0to4label 0 "No" 1 "Yes" 
label values Age_0to4 Age_0to4label

destring Age_5to17,replace
replace Age_5to17=0 if Age_5to17==2
replace Age_5to17=. if Age_5to17==9
label define Age_5to17label 0 "No" 1 "Yes" 
label values Age_5to17 Age_5to17label

destring Age_18to24,replace
replace Age_18to24=0 if Age_18to24==2
replace Age_18to24=. if Age_18to24==9
label define Age_18to24label 0 "No" 1 "Yes" 
label values Age_18to24 Age_18to24label

destring Age_25to44,replace
replace Age_25to44=0 if Age_25to44==2
replace Age_25to44=. if Age_25to44==9
label define Age_25to44label 0 "No" 1 "Yes" 
label values Age_25to44 Age_25to44label

destring Age_45to64,replace
replace Age_45to64=0 if Age_45to64==2
replace Age_45to64=. if Age_45to64==9
label define Age_45to64label 0 "No" 1 "Yes" 
label values Age_45to64 Age_45to64label

destring Age_65up,replace
replace Age_65up=0 if Age_65up==2
replace Age_65up=. if Age_65up==9
label define Age_65uplabel 0 "No" 1 "Yes" 
label values Age_65up Age_65uplabel

destring Work_30hrup, replace
replace Work_30hrup=0 if Work_30hrup==2
replace Work_30hrup=. if Work_30hrup==6
label define Work_30hrup1 1 "yes" 0 "no"
label values Work_30hrup Work_30hrup1
label variable Work_30hrup "work 30 hr and more"

destring Work_full_part, replace
replace Work_full_part=. if Work_full_part==6
label define Work_full_part1 1 "Yes - mostly full-time" 2 "Yes - mostly part-time" 3 "No - did not work"
label values Work_full_part Work_full_part1


destring Mortgage_rate ,replace
gen Mortgagerate_new=.
replace Mortgagerate_new=1 if Mortgage_rate==01
replace Mortgagerate_new=2 if Mortgage_rate==02
replace Mortgagerate_new=3 if Mortgage_rate==03
replace Mortgagerate_new=4 if Mortgage_rate==04
replace Mortgagerate_new=5 if Mortgage_rate==05
replace Mortgagerate_new=6 if Mortgage_rate==06
replace Mortgagerate_new=7 if Mortgage_rate==07
replace Mortgagerate_new=. if Mortgage_rate==96
label define Mortgage_ratelabel2 1 "0% - 1.99%" 2 "2% - 2.49%" 3 "2.5% - 2.99%" 4 "3% - 3.49%" 5 "3.5% - 3.99%" 6 "4% - 4.99%" 7 "5% and over"
label values Mortgagerate_new Mortgage_ratelabel2

gen Creditcard_balance=.
replace Creditcard_balance=1 if Creditcard_payment==1
replace Creditcard_balance=1 if Creditcard_payment==2
replace Creditcard_balance=1 if Creditcard_payment==3
replace Creditcard_balance=0 if Creditcard_payment==4
label define Creditcard_balancel 1 "yes" 0 "no"
label values Creditcard_balance Creditcard_balancel



destring Creditcard_number, replace
label define Creditcard_number1 1 "1 or 2 cards" 2 "3 or 4 cards" 3 "5 or more cards" 4 "Does not own credit cards"
label values Creditcard_number Creditcard_number1


destring Retire_mie, replace
replace Retire_mie=0 if Retire_mie==2
replace Retire_mie=. if Retire_mie==6
replace Retire_mie=. if Retire_mie==9
label define Retire_mie1 1 "yes" 0 "no"
label values Retire_mie Retire_mie1

gen Banksavings=.
replace Banksavings=1 if Money_banksaving>0
replace Banksavings=0 if Money_banksaving<0
replace Banksavings=0 if Money_banksaving==0
label define Banksavings2 1 "yes" 0 "no" 
label values Banksavings Banksavings2

gen Taxfree_savings=.
replace Taxfree_savings=1 if Savings_taxfree>0
replace Taxfree_savings=0 if Savings_taxfree==0
label define Taxfree_savings2 1 "yes" 0 "no" 
label values Taxfree_savings Taxfree_savings2

gen Student_Loan=.
replace Student_Loan=1 if Studentloan>0
replace Student_Loan=0 if Studentloan==0
label define Student_Loan2 1 "yes" 0 "no" 
label values Student_Loan Student_Loan2

gen Lines_Credit=.
replace Lines_Credit=1 if Lines_credit_total>0
replace Lines_Credit=0 if Lines_credit_total==0
label define Lines_Credit2 1 "yes" 0 "no" 
label values Lines_Credit Lines_Credit2

gen Bond_own=.
replace Bond_own=1 if Bond_value>0
replace Bond_own=0 if Bond_value==0
label define Bond_own2 1 "yes" 0 "no" 
label values Bond_own Bond_own2

gen Stock_own=.
replace Stock_own=1 if Stock_value>0
replace Stock_own=0 if Stock_value==0
label define Stock_own2 1 "yes" 0 "no" 
label values Stock_own Stock_own2

 gen debt_income_ratio = Debt_total/ Income_aftertax


****** t test, Feb 12***
ttest Income_aftertax, by( Creditcard )
ttest Income_aftertax, by( Bankruptcy )

prtest Stock_own , by(Gender_mie)
prtest Creditcard_balance , by( Gender_mie  )

****regression Feb 12***
regress Asset_total Income_aftertax
regress Asset_total Income_aftertax Earners_number
regress Asset_total Income_aftertax Earners_number i.Education_mie_new

probit Stock_own Income_aftertax Age_mie_new Gender_mie
margins, dydx(*) atmeans




***************poverty estimation**
gen income_perhead = Income_aftertax/ Family_size 
expand Family_size
scalar z2 = 18771
gen poverty = 0
replace poverty = 1 if income_perhead <= z2
gen incidence = poverty * ((z2- income_perhead )/z2)^0
gen depth = poverty * ((z2- income_perhead)/z2)^1
gen severity = poverty * ((z2- income_perhead )/z2)^2


tabulate incidence Payday_loan_have , col
tabulate incidence Province , col


*******Gini estimate***
ssc install ginidesc
ssc install glcurve
ssc install lorenz
ginidesc Income_aftertax, by( Province )

*******tabstat January 29
tabstat Income_aftertax , statistics( mean ) by( Province )
tab Creditcard Bankruptcy , row col
tabulate Creditcard Budget_family , row
tabulate Creditcard Education_mie_new , row
tabstat Income_aftertax , statistics(mean) by( Creditcard )
ttest Income_aftertax, by( Creditcard )
**********
**output in word file***
ssc install asdoc,replace
asdoc tabstat Income_aftertax , statistics(mean) by( Creditcard )
asdoc tabulate Creditcard Education_mie_new , row

****graph***
graph bar, over(Creditcard) cw blabel(group) by(Education_mie_new)
graph bar Networth_total , over( Creditcard_balance )
graph hbar (mean) Debt_total , over( Age_mie_new )
graph bar (mean) Income_aftertax , over(Region)
***

***3 way and 4way table***
table Creditcard Education_mie_new , by (Family_type_new)
table Budget_family Bankruptcy , by( Region )
table Budget_family Bankruptcy , by( Region Work_full_part )
table Budget_family Creditcard Bankruptcy , by( Region )

***correlation***

pwcorr Bankruptcy Networth_total Asset_total Savings_taxfree Income_aftertax , sig star(.05) obs
